## org.codehaus.groovy.reflection.stdclasses
Class BooleanCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.BooleanCachedClass

    public class BooleanCachedClass
    extends CachedClass

Author:
  Alex.Tkachman

Nested Class Summary
Modifier and Type | Class and Description
--- | ---

Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass
`CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.reflection.CachedClass
`classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

Constructor Summary
Constructor and Description
`BooleanCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`boolean` `isAssignableFrom(Class classToTransformFrom)`
`boolean` `isDirectlyAssignable(Object argument)`

Methods inherited from class org.codehaus.groovy.reflection.CachedClass
`addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BooleanCachedClass

    public BooleanCachedClass(Class klazz,
                              ClassInfo classInfo,
                              boolean allowNull)

Method Detail

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)

  Overrides:
    `isDirectlyAssignable` in class `CachedClass`

### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)

  Overrides:
    `isAssignableFrom` in class `CachedClass`

Copyright © 2003-2010 The Codehaus. All rights reserved.